Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: Sparky Advanced Installer Problems with Respin  (Read 541 times)

Offline kendew

  • Newbie
  • *
  • Posts: 42
  • Karma: +0/-0
Sparky Advanced Installer Problems with Respin
« on: October 22, 2019, 12:42:43 am »
Hi,
I've used the Sparky tool, sparky-backup-sys, to make a Sparky respin, not for the purpose of creating a radically new distro but for preserving custom settings and not having to install applications and themes  each time I install  Sparky. 
Now I am busy installing it on a number of Lenovo laptops from a school that had been running Windows 7.  I am interested in having the Sparky spin be the only OS installed.  I didn't put calamares in the spin since it brings in so many dependencies that wouldn't be of use to someone once system is installed.  I noticed the Sparky Advanced Installer was already there, so decided to use it for installation instead. 
For the most part, the Sparky installer works well, and my only small issue with it is that it doesn't allow the root and (system) user password to be the same, meaning I have to pass on two new passwords to the new owner of the laptop.  The installer in general recognizes the need to create an EFI, swap, and root partition well enough that I don't really need to do any work in gparted and click it away after it appears. 
However, on more than one occasion it would not offer to create an EFI section, even if I created it with gparted.  It would only offer to create the swap and root partitions.  However, it would go ahead with the installation even though the resulting installation wasn't bootable.  I wonder why this is, and if there is a way around it.  Keep in mind that some of these computers may not be in the best of shape.  However, they will boot Windows 7, so it's not as if they don't work.
Thanks

Offline paxmark1

  • Hero Member
  • *****
  • Posts: 754
  • Karma: +3/-0
  • https://forum.sparkylinux.org/index.php/topic,4614
Re: Sparky Advanced Installer Problems with Respin
« Reply #1 on: October 22, 2019, 08:40:14 am »
Long ago a computer renew-recycle group I was helping/learning from found that whether or not an old computer could run OS/2 (IBM similar to DOS) was a good indicator of a a stable computer.  Many of the puters  (386's) came from off of John Deere assembly lines, hot and dusty.  Some were just not up to it.  Whole lot of Dells. 

Two  metrics to look at would be what per centage exhibit EFI problems and 2. are you seeing all of a certain  brand and mother board with this problem or is it just random. 
Random would suggest  bad hardware. 

Side issue  usage of the smartmontools, especially smartctl to evaluate hard drive health.

Memory tools can also be used, including  the longer running versions to induce heat related flaws. 

For the EFI as the problem side, there were some crippled and flawed instances of EFI that came out early. 

I wish you luck. 
Search forum for "More info easier via inxi"    If requested -  no inxi, no help for you by  me.

Offline lami07

  • Global Moderator
  • Sr. Member
  • *****
  • Posts: 293
  • Karma: +5/-0
    • Sparky Community Repos
Re: Sparky Advanced Installer Problems with Respin
« Reply #2 on: October 22, 2019, 10:32:51 pm »
Quote from: kendew
However, on more than one occasion it would not offer to create an EFI section, even if I created it with gparted.  It would only offer to create the swap and root partitions.  However, it would go ahead with the installation even though the resulting installation wasn't bootable.
Before I start I want to mention that I have no experience with UEFI, and have no access to machine with UEFI which basically means I will be pretty much guessing.   

Sparky advanced installer is a shell script, algorithm which do ''stuff'' based on results of plenty little "tests". You can look up its code here:
Code: [Select]
https://github.com/sparkylinux/sparky-backup-core/blob/master/bin/sparky-installer 

And here is a part of code responsible for deciding if system (live environment) is running in UEFI mode or not.
Code: [Select]
TESTEFI0=`lsmod | grep efi`
if [ -d /sys/firmware/efi/efivars ] || [ "$TESTEFI0" != "" ]; then
TESTEFI="EFI detected"
else
TESTEFI=""
fi
As You may see it makes two separate tests , and later on, based on results installer will offer user dialog with EFI section or with out.

For me there are two possibilities:
1) this part of the code is not fail proof and require modifications  and/or
2) some of machines you want to install your respin on, even if supporting UEFI, are set to use legacy mode (hybrid mode, or whatever mode) be default. I'm guessing this may end up in a situation where our_not_prepared_for_this_installer fails both test and proceeds with installation as it would be BIOS machine. At least this is how my limited understanding let me interpret the situation. 

Kendew it seems you have access to at least few machines with UEFI so You might be exactly the person needed to help us fix it. Would be great if You could do some testing, check if its the case with legacy mode and share some feedback  or ideas how to handle this issue. Thx :-)
« Last Edit: October 24, 2019, 07:39:40 pm by lami07 »
Quote from: forum rules
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at irc.freenode.net